GamePlatFormConfig = class("GamePlatFormConfig", function(self,config)
	local temp = {}
	temp.config = config
	return temp
end)

function GamePlatFormConfig:ctor()
    self.config.recordUrl   = "http://login.sdbgj.m.37.com/game/api/last_login_server.php"
    self.config.serverUrl = "http://login.sdbgj.m.37.com/game/login_"
    self.config.payUrl = "http://login.sdbgj.m.37.com/game/api/pay_" 
    self.config.billUrl = "http://login.sdbgj.m.37.com/game/api/o.php"

    --服务器状态码  0:维护, 1,推荐, 2,火爆, 3,正常, 4,新服
    if(self.config:isWin() or self.config.sdkId == 0 or self.config.sdkId == 9999999)then
        self.config.asl = {}
        local tab = {}
        tab.sl = {}
        tab.ai = {}
        tab.ai.name = "测试"
        tab.ai.id = 11
        tab.ai.st = 4
        tab.ai.pre = ""
        tab.ai.suf = ""

        table.insert(tab.sl, {sid = "11",tt = "-219",st = "2",ip = "192.168.10.219",port=7110})
        table.insert(tab.sl, {sid = "19",tt = "-251",st = "4",ip = "192.168.10.251",port= 7110})
        table.insert(tab.sl, {sid = "20",tt = "-252",st = "4",ip = "192.168.10.252",port= 7110})
        table.insert(tab.sl, {sid = "23",tt = "-252 ios",st = "1",ip = "192.168.10.252",port= 7201})
        table.insert(tab.sl, {sid = "24",tt = "-精英服",st = "1",ip = "123.59.79.67",port= 7101})
        
        table.insert(self.config.asl,tab)

        tab = {}
        tab.sl = {}
        tab.ai = {}
        tab.ai.name = "程序"
        tab.ai.id = 8
        tab.ai.state = 4
        tab.ai.pre = ""
        tab.ai.suf = ""

        table.insert(tab.sl, {sid = "14",tt = "-枫林",st = "4",ip = "192.168.10.56",port= 7110})
        table.insert(tab.sl, {sid = "15",tt = "-程意",st = "4",ip = "192.168.10.168",port= 7110})
        table.insert(tab.sl, {sid = "16",tt = "-开伦",st = "4",ip = "192.168.10.133",port= 7110})
        table.insert(tab.sl, {sid = "17",tt = "-谭锦",st = "4",ip = "192.168.10.162",port= 7110})
        table.insert(tab.sl, {sid = "21",tt = "-小新",st = "4",ip = "192.168.10.51",port= 7110})
        
        table.insert(self.config.asl,tab)

        tab = {}
        tab.sl = {}
        tab.ai = {}
        tab.ai.name = "鸡翅"
        tab.ai.id = 5
        tab.ai.state = 4
        tab.ai.pre = ""
        tab.ai.suf = ""


        table.insert(tab.sl, {sid = "18",tt = "-鸡翅斌",st = "4",ip = "192.168.10.183",port= 7110})
        table.insert(tab.sl, {sid = "1",tt = "大显神通",st = "1",ip = "115.159.24.56",port= 7801})

        table.insert(self.config.asl,tab)
        
        tab = {}
        tab.sl = {}
        tab.ai = {}
        tab.ai.name = "暗黑西游"
        tab.ai.id = 9
        tab.ai.state = 4
        tab.ai.pre = ""
        tab.ai.suf = ""

        table.insert(tab.sl, {sid = "18",tt = "-测试服",st = "3",ip = "123.59.79.67",port= 7101})

        table.insert(self.config.asl,tab)
        
    end
end
